phoenix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Istvan Toth (Jira)" <j...@apache.org>
Subject [jira] [Resolved] (PHOENIX-4679) Exit build-proto.sh if not using protoc v2.5.0
Date Tue, 25 Feb 2020 15:20:00 GMT

     [ https://issues.apache.org/jira/browse/PHOENIX-4679?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Istvan Toth resolved PHOENIX-4679.
----------------------------------
    Fix Version/s: 5.1.0
                   4.15.0
       Resolution: Fixed

Thanks for checking [~RichardAntal]

> Exit build-proto.sh if not using protoc v2.5.0
> ----------------------------------------------
>
>                 Key: PHOENIX-4679
>                 URL: https://issues.apache.org/jira/browse/PHOENIX-4679
>             Project: Phoenix
>          Issue Type: Improvement
>            Reporter: Marcell Ortutay
>            Priority: Minor
>             Fix For: 4.15.0, 5.1.0
>
>
> If you use a version of protoc later than v2.5.0 to regenerate protobufs, you'll get
a diff from the current protobuf generated code, even if you made no changes to the .proto
files. I assume this is undesirable, so it would be nice if the build-proto.sh script warned
people about this. The following check would do this:
> {code:java}
> if [[ `protoc --version` != *"2.5.0"* ]]; then
>   echo "Must use protoc version 2.5.0"
>   exit 1
> fi
> {code}
> If this seems useful I can submit a PR to implement this



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message